Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://www.suprsonic.com/api/v1/settings
{ "success": true, "data": { "account": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "slug": "<string>", "email": "[email protected]", "created_at": "2023-11-07T05:31:56Z" }, "businessInfo": { "business_name": "<string>", "business_description": "<string>", "content_strategy": "<string>", "keyword_targets": "<string>", "tone_of_voice": "<string>", "topics_to_avoid": "<string>", "website_url": "<string>", "primary_language": "en", "translation_languages": [ "es", "fr", "de" ] }, "branding": { "primary_color": "<string>", "font_display": "<string>", "font_body": "<string>", "logo_url": "<string>", "subdomain_slug": "<string>", "custom_domain": "<string>", "ssl_enabled": true, "domain_verified": true }, "customerAvatars": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "priority": 50, "cta_headline": "<string>", "cta_subheadline": "<string>", "cta_button": "<string>", "cta_url": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] } }
Returns comprehensive account configuration including settings, branding, and customer personas for blog rendering and content generation
Account ID (required for admin API keys, ignored for account API keys)
Account settings retrieved successfully
true
Show child attributes
Was this page helpful?